| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TableViewColumns::ColumnPhotoProperties Class Reference
Inheritance diagram for Digikam::TableViewColumns::ColumnPhotoProperties:

## Public Types
enum | SubColumn { SubColumnCameraMaker = 0 , SubColumnCameraModel = 1 , SubColumnLens = 2 , SubColumnAperture = 3 , SubColumnFocal = 4 , SubColumnExposure = 5 , SubColumnSensitivity = 6 , SubColumnModeProgram = 7 , SubColumnFlash = 8 , SubColumnWhiteBalance = 9 }
Public Types inherited from Digikam::TableViewColumn
enum | ColumnCompareResult { CmpEqual = 0 , CmpABiggerB = 1 , CmpALessB = 2 }
enum | ColumnFlag { ColumnNoFlags = 0 , ColumnCustomPainting = 1 , ColumnCustomSorting = 2 , ColumnHasConfigurationWidget = 4 }
typedef QFlags< ColumnFlag > | ColumnFlags

## Public Member Functions
| ColumnPhotoProperties (TableViewShared *const tableViewShared, const TableViewColumnConfiguration &pConfiguration, const SubColumn pSubColumn, QObject *const parent=nullptr)
ColumnCompareResult | compare (TableViewModel::Item *const itemA, TableViewModel::Item *const itemB) const override
| This function should never be called, because subclasses have to do the comparison on their own.
QVariant | data (TableViewModel::Item *const item, const int role) const override
ColumnFlags | getColumnFlags () const override
TableViewColumnConfigurationWidget * | getConfigurationWidget (QWidget *const parentWidget) const override
QString | getTitle () const override
void | setConfiguration (const TableViewColumnConfiguration &newConfiguration) override
Public Member Functions inherited from Digikam::TableViewColumn
| TableViewColumn (TableViewShared *const tableViewShared, const TableViewColumnConfiguration &pConfiguration, QObject *const parent=nullptr)
virtual bool | columnAffectedByChangeset (const ImageChangeset &imageChangeset) const
virtual TableViewColumnConfiguration | getConfiguration () const
virtual bool | paint (QPainter *const painter, const QStyleOptionViewItem &option, TableViewModel::Item *const item) const
virtual QSize | sizeHint (const QStyleOptionViewItem &option, TableViewModel::Item *const item) const
virtual void | updateThumbnailSize ()

## Static Public Member Functions
static TableViewColumnDescription | getDescription ()
static QStringList | getSubColumns ()
Static Public Member Functions inherited from Digikam::TableViewColumn
template<class MyType >
static ColumnCompareResult | compareHelper (const MyType &A, const MyType &B)
static bool | compareHelperBoolFailCheck (const bool okA, const bool okB, ColumnCompareResult *const result)
template<typename columnClass >
static bool | CreateFromConfiguration (TableViewShared *const tableViewShared, const TableViewColumnConfiguration &pConfiguration, TableViewColumn **const pNewColumn, QObject *const parent)
template<typename columnClass >
static bool | getSubColumnIndex (const QString &subColumnId, typename columnClass::SubColumn *const subColumn)

## Additional Inherited Members
Signals inherited from Digikam::TableViewColumn
void | signalAllDataChanged ()
void | signalDataChanged (const qlonglong imageId)
Protected Attributes inherited from Digikam::TableViewColumn
TableViewColumnConfiguration | configuration
TableViewShared *const | s = nullptr

## Member Function Documentation

## ◆ compare()

TableViewColumn::ColumnCompareResult Digikam::TableViewColumns::ColumnPhotoProperties::compare | ( | TableViewModel::Item *const | itemA,
|  | TableViewModel::Item *const | itemB
| ) |  | const
| override virtual

But it can not be pure, since then every subclass which does not do custom comparison would have to implement an empty stub.

Reimplemented from Digikam::TableViewColumn.

## ◆ data()

QVariant Digikam::TableViewColumns::ColumnPhotoProperties::data | ( | TableViewModel::Item *const | item,
|  | const int | role
| ) |  | const
| override virtual

Reimplemented from Digikam::TableViewColumn.

## ◆ getColumnFlags()

TableViewColumn::ColumnFlags Digikam::TableViewColumns::ColumnPhotoProperties::getColumnFlags | ( |  | ) | const
| override virtual

Reimplemented from Digikam::TableViewColumn.

## ◆ getConfigurationWidget()

TableViewColumnConfigurationWidget * Digikam::TableViewColumns::ColumnPhotoProperties::getConfigurationWidget | ( | QWidget *const | parentWidget | ) | const
| override virtual

Reimplemented from Digikam::TableViewColumn.

## ◆ getTitle()

QString Digikam::TableViewColumns::ColumnPhotoProperties::getTitle | ( |  | ) | const
| override virtual

Implements Digikam::TableViewColumn.

## ◆ setConfiguration()

void Digikam::TableViewColumns::ColumnPhotoProperties::setConfiguration | ( | const TableViewColumnConfiguration & | newConfiguration | ) |
| override virtual

Reimplemented from Digikam::TableViewColumn.